Quick share

Upload files and get a share link in one step (they land in a "Quick share" folder).

MethodPathSummary
POST/api/v2/quick-shareQuick share: start (where to upload), then finish (expiry + link)
POST/api/v2/quick-share/:idChange a quick share's link

#Quick share: start (where to upload), then finish (expiry + link)

POST/api/v2/quick-share
Address
https://<your-org>.brambleit.cloud/drive/api/v2/quick-share
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Request body JSON

NameTypeDescription
batchany
namestring

Response 200

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/drive/api/v2/quick-share' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"batch":"…","name":"Example name"}'

#Change a quick share's link

POST/api/v2/quick-share/:id
Address
https://<your-org>.brambleit.cloud/drive/api/v2/quick-share/:id
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Path parameters

NameTypeDescription
idrequirednumber

Request body JSON

NameTypeDescription
daysarray of anyDays until it expires.
passwordanyA password (optional).
allow_downloadbooleanLet people download.

Response 200

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/drive/api/v2/quick-share/12.5' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"days":[],"password":"…","allow_download":false}'